EBook::Ishmael::MobiHuff(3)

NAME
EBook::Ishmael::MobiHuff - Huff/CDIC decoder for MOBI/AZW

SYNOPSIS
  use EBook::Ishmael::MobiHuff;

  my $mh = EBook::Ishmael::MobiHuff->new($huff, @cdics);
  my $decode = $mh->decode($data);

DESCRIPTION
EBook::Ishmael::MobiHuff is a module that provides an object-oriented interface for decoding Huff/CDIC-encoded data found in MOBI/AZW ebooks. This is developer documentation, please consult the ishmael manual for user documentation.

METHODS

$mh = EBook::Ishmael::MobiHuff->new($huff, @cdics)
    Returns a blessed "EBook::Ishmael::MobiHuff" object and reads Huff/CDIC data from $huff and @cdics. $huff is the record data for the "HUFF" record, @cdics is an array of record data for eacah "CDIC" record.

$data = $mh->decode($encode)
    Returns the decoded $data from $encode.

AUTHOR
Written by Samuel Young, <samyoung12788@gmail.com>.

This project's source can be found on its Codeberg Page <https://codeberg.org/1-1sam/ishmael>. Comments and pull requests are welcome!

COPYRIGHT
Copyright (C) 2025 Samuel Young

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.